<?php

namespace App\Core;

class View
{
    public static function render($view, $data = [])
    {
        extract($data);

        // Caminho para o arquivo da view
        $viewFile = __DIR__ . '/../Modules/' . $view . '.php';

        // Inicia o buffer de saída
        ob_start();

        // Inclui o arquivo da view
        if (file_exists($viewFile)) {
            require $viewFile;
        } else {
            // Lança uma exceção ou trata o erro como preferir
            echo "View não encontrada: " . $viewFile;
        }

        // Captura o conteúdo do buffer e limpa o buffer
        $content = ob_get_clean();

        // Inclui o layout, que agora tem acesso a $content e aos dados extraídos
        require __DIR__ . '/../../layout.php';
    }
}